<#--
/* Copyright 2009 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->
<#macro showreq req>
    <#local node = req/>
    <#local childrenList = node.getSortedChildren()/>
    <#list childrenList as child>
        <#if child.getType() = "Requirement">
            <#local hasChild = 1/>
        </#if>
    </#list>
    <req qid="${node.getQualifiedId()}">
    <name>${report.htmlEscape(node.getName())}</name>
    <#if node.getDescription()?has_content>
        <desc><![CDATA[${node.getDescription()}]]></desc>
    </#if>
    <#list node.getLocations() as location>
        <#if !location.isHidden()>
            <ldesc><![CDATA[${location.getDescription(reportLocation)}]]></ldesc>
        </#if>
    </#list>
    <#if (hasChild!0) != 0>
        <#list childrenList as child>
            <#if child.getType() = "Requirement">
                <@showreq child/>
            </#if>
        </#list>
    </#if>
    </req>
</#macro>
<requality>
<@showreq rootReq/>
</requality>
